Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159878 - /sbin/fsck.ext3 doesn't close fd for unrecognized device files
Summary: /sbin/fsck.ext3 doesn't close fd for unrecognized device files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: e2fsprogs
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Woerner
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-08 19:36 UTC by David Milburn
Modified: 2015-01-08 00:10 UTC (History)
3 users (show)

Fixed In Version: RHBA-2005-630
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 15:43:29 UTC


Attachments (Terms of Use)
Patch to close fd when probing unrecognized devices (deleted)
2005-06-08 19:37 UTC, David Milburn
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:630 qe-ready SHIPPED_LIVE e2fsprogs bug fix update 2005-10-05 04:00:00 UTC

Description David Milburn 2005-06-08 19:36:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
When probing device files, the fsck command doesn't close the fd for
those devices not recognized.






Version-Release number of selected component (if applicable):
e2fsprogs-1.35-11.6.LE4

How reproducible:
Always

Steps to Reproduce:
1. creating about 1024 partitions which are not formarted.
2. adding labeled partition into /etc/fstab like follows:
   LABEL=dummy /hoge ext3 defaults,noauto 0 0
   (NOTE: the partition labeled "dummy" does not exist.)
3. execute fsck
   (power off a system forcely, and reboot it)
  

Actual Results:  rc.sysinit scripts shows:

Checking root filesystem
[/sbin/fsck.ext3 (1) --/] fsck.ext3 -a /dev/sda2
/: Error determining size of the physical device: Too many open files
[FAILED]


Expected Results:  The system boot with no errors.


Additional info:

Attaching patch to fix problem

Comment 1 David Milburn 2005-06-08 19:37:47 UTC
Created attachment 115237 [details]
Patch to close fd when probing unrecognized devices

Comment 6 Red Hat Bugzilla 2005-10-05 15:43:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-630.html



Note You need to log in before you can comment on or make changes to this bug.